# -*- mode: python -*-

block_cipher = None

added_files = [
         ( 'salida-hterm3.jpg', '.' ),
         ( 'window.ui', '.' ),
         ( 'conversor.ui', '.' ),
	 ( 'icono-hterm3.ico', '.' ),
	 ( 'Ayuda_Hterm_3_0.pdf', '.' ),
	 ( 'BDO', '.' ),
	 ( 'qt_es.qm', '.' ),
	 ( 'mapa_uy_zonas.jpg', '.' ),
	 ( 'creditos-hterm3-2.jpg', '.' )
         ]

added_files_binarios = [
         ( 'salida-hterm3.jpg', '.' ),
	 ( 'icono-hterm3.ico', '.' ),
	 ( 'mapa_uy_zonas.jpg', '.' ),
	 ( 'Ayuda_Hterm_3_0.pdf', '.' )
         ]

def Datafiles(*filenames, **kw):
    import os

    def datafile(path, strip_path=True):
        parts = path.split('/')
        path = name = os.path.join(*parts)
        if strip_path:
            name = os.path.basename(path)
        return name, path, 'DATA'

    strip_path = kw.get('strip_path', True)
    return TOC(
        datafile(filename, strip_path=strip_path)
        for filename in filenames
        if os.path.isfile(filename))

#docfiles = Datafiles('window.ui', 'Lista_materiales_para_python')
docfiles = Datafiles('salida-hterm3.jpg', 'window.ui', 'conversor.ui', 'icono-hterm3.ico', 'Ayuda_Hterm_3_0.pdf', 'BDO', 'qt_es.qm','creditos-hterm3-2.jpg', 'mapa_uy_zonas.jpg')
#dbfile = Datafiles('db/countries.db', strip_path=False) # keep the path of this file


a = Analysis(['main.py'],
             pathex=['/home/pablo/Dropbox/SWArq/Hterm/v_23'],
             binaries=added_files_binarios,
             datas=added_files,
             hiddenimports=[],
             hookspath=None,
             runtime_hooks=['rthook_pyqt4.py'],
             excludes=[],
             win_no_prefer_redirects=False,
             win_private_assemblies=False,
             cipher=block_cipher)
pyz = PYZ(a.pure, a.zipped_data,
             cipher=block_cipher)
exe = EXE(pyz,
	  Tree("/home/pablo/Dropbox/SWArq/Hterm/v_23", prefix="data"),
          a.scripts + [('O', '', 'OPTION')],
          a.binaries,
          a.zipfiles,
          a.datas,
	  docfiles,
          name='main',
          debug=False,
          strip=False,
          upx=True,
          console=False,
	  icon=r'icono-hterm3.ico')

coll = COLLECT(exe,
               a.binaries,
               a.zipfiles,
               a.datas,
               docfiles)


