#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Mon Feb 13 10:47:39 2017

@author: pablo
"""

#!/usr/bin/python

# use a Tkinter label as a panel/frame with a background image
# note that Tkinter only reads gif and ppm images
# use the Python Image Library (PIL) for other image formats
# free from [url]http://www.pythonware.com/products/pil/index.htm[/url]
# give Tkinter a namespace to avoid conflicts with PIL
# (they both have a class named Image)

import Tkinter as tk
from ttk import Frame, Button, Style
from PIL import Image, ImageTk
import time

class starting():
    def __init__(self,resource_path):
        self.root = tk.Tk()
        self.root.title('My Pictures')
        self.root.overrideredirect(1) #Remove border
        imageFile = resource_path("salida-hterm3.jpg")
        self.image1 = ImageTk.PhotoImage(Image.open(imageFile))
        # get the image size
        w = self.image1.width()
        h = self.image1.height()

        # position coordinates of root 'upper left corner'
        ws = self.root.winfo_screenwidth() # width of the screen
        hs = self.root.winfo_screenheight() # height of the screen
        
        x = ws/2 -w/2
        y = hs/2 -h/2

        # make the root window the size of the image
        self.root.geometry("%dx%d+%d+%d" % (w, h, x, y))

        # root has no image argument, so use a label as a panel
        self.panel1 = tk.Label(self.root, image=self.image1)
        self.display = self.image1
        self.panel1.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES)
        self.root.after(4000, self.close_image)       # Set to call again in 4 seconds
        self.root.mainloop()

    def close_image(self):
        self.root.destroy()
